Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265474 - www-client/mozilla-firefox-3.0.8 missing header in net-libs/xulrunner-1.9.0.8
Summary: www-client/mozilla-firefox-3.0.8 missing header in net-libs/xulrunner-1.9.0.8
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-08 18:40 UTC by Miroslav Los
Modified: 2009-04-12 17:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Los 2009-04-08 18:40:51 UTC
Compilation of www-client/mozilla-firefox-3.0.8 fails because of a missing header in net-libs/xulrunner-1.9.0.8.

Reproducible: Always

Steps to Reproduce:
1. emerge -pv xulrunner mozilla-firefox

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-libs/xulrunner-1.9.0.8  USE="dbus gnome java startup-notification -custom-optimization" 0 kB
[ebuild     U ] www-client/mozilla-firefox-3.0.8 [3.0.7] USE="dbus gnome java startup-notification xulrunner -bindist -custom-optimization -iceweasel -mozdevelop -restrict-javascript" LINGUAS="sk -af -ar -be -bg -bn -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_ES -et -eu -fi -fr -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hu -id -is -it -ja-ka -kn -ko -ku -lt -lv -mk -mn -mr -nb -nb_NO -nl -nn -nn_NO -oc -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -si -sl -sq -sr -sv -sv_SE -te -th -tr -uk -zh -zh_CN -zh_TW" 0 kB

Actual Results:  
Excerpt from build.log:
x86_64-pc-linux-gnu-g++ -o nsAboutFeeds.o -c -fvisibility=hidden -DMOZ_APP_NAME=firefox -DMOZ_APP_DISPLAYNAME=Firefox  -DOSTY
PE=\"Linux2.6\" -DOSARCH=Linux -I./../../build -I. -I. -I../../../../dist/include/xpcom -I../../../../dist/include/string -I.
./../../../dist/include/necko -I../../../../dist/include/caps -I../../../../dist/include/js -I../../../../dist/include/xpconn
ect -I../../../../dist/include/mimetype -I../../../../dist/include  -I/usr/lib64/xulrunner-1.9/include/xpcom -I/usr/lib64/xul
runner-1.9/include/string -I/usr/lib64/xulrunner-1.9/include/necko -I/usr/lib64/xulrunner-1.9/include/caps -I/usr/lib64/xulru
nner-1.9/include/js -I/usr/lib64/xulrunner-1.9/include/xpconnect -I/usr/lib64/xulrunner-1.9/include/mimetype -I/usr/lib64/xul
runner-1.9/include -I../../../../dist/include/browser_feeds -I/usr/include/nspr     -I/usr/lib64/xulrunner-1.9/sdk/include
 -fPIC  -DGENTOO_NSPLUGINS_DIR=\"/usr/lib64/nsplugins\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\"  -fno
-rtti -fno-handle-exceptions -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-
virtual-dtor -Wcast-align -Wno-long-long -pipe -ggdb -march=athlon64 -fPIC -Wno-return-type -w -fno-strict-aliasing -fshort-w
char -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions -finline-limit=50  -DGENTOO_NSPLUGINS_DIR
=\"/usr/lib64/nsplugins\" -DGENTOO_NSBROWSER_PLUGINS_DIR=\"/usr/lib64/nsbrowser/plugins\"  -DMOZILLA_CLIENT -include ../../..
/../mozilla-config.h -Wp,-MD,.deps/nsAboutFeeds.pp nsAboutFeeds.cpp
In file included from /usr/lib64/xulrunner-1.9/include/nsIScriptSecurityManager.h:18,
                 from nsAboutFeeds.cpp:41:
/usr/lib64/xulrunner-1.9/include/nsIXPCSecurityManager.h:17:21: error: jspubtd.h: No such file or directory
/usr/lib64/xulrunner-1.9/include/nsIXPCSecurityManager.h:74: error: ‘JSObject’ has not been declared
/usr/lib64/xulrunner-1.9/include/nsIXPCSecurityManager.h:74: error: ‘jsval’ has not been declared
/usr/lib64/xulrunner-1.9/include/nsIScriptSecurityManager.h:55: error: ‘JSObject’ has not been declared
/usr/lib64/xulrunner-1.9/include/nsIScriptSecurityManager.h:55: error: ‘jsval’ has not been declared
/usr/lib64/xulrunner-1.9/include/nsIScriptSecurityManager.h:238: error: ‘JSObject’ has not been declared
gmake[6]: *** [nsAboutFeeds.o] Error 1
gmake[6]: Leaving directory `/var/tmp/portage/www-client/mozilla-firefox-3.0.8/work/mozilla/browser/components/feeds/src'
gmake[5]: *** [libs] Error 2


Expected Results:  
Build.

emerge --info:
Portage 2.2_rc28 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-x86_64-AMD_Athlon-tm-_64_Processor_3000+-with-glibc2.2.5
Timestamp of tree: Wed, 08 Apr 2009 17:15:02 +0000
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.7
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -ggdb -march=athlon64 "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-pipe -ggdb -march=athlon64 "
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.inode.at/ http://gentoo.ynet.sk/pub/ "
LANG="sk_SK.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="sk"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.sk.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib accessibility acl acpi alsa amd64 avi bash-completion berkdb bluetooth branding bzip bzip2 cairo cdr cli cracklib crypt cups dba dbus divx4linux dri dv dvb dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox flac foomaticdb fortran gd gdbm gif gimpprint gnome gpm gstreamer gtk gtk2 hal htmlhandbook iconv imlib imlib2 ipv6 isdnlog java jpeg kde kpathsea ldap libnotify lm-sensors mad midi mikmod mime mmx mp3 mp4 mpeg mudflap multilib ncurses network nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf pdflib perl php plasma png ppds pppd python qt qt3 qt3support qt4 quicktime readline reflection samba scanner sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcltk tcpd theora tiff truetype unicode usb utempter utf8 vim-syntax vim-with-x vorbis webkit x264 xml xorg xpm xsl xulrunner xv xvid zlib" ALSA_CARDS="ac97" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="sk" USERLAND="GNU" VIDEO_CARDS="nvidia nv radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Miroslav Los 2009-04-09 22:39:13 UTC
I got it to compile by hackishly copying all required headers from xulrunner-1.9.0.8/mozilla/js/ into /usr/lib64/xulrunner-1.9/include/. 
The headers were:
jsautocfg.h (generated during compilation of xulrunner),
jspubtd.h, jstypes.h, jscompat.h, jsproto.tbl, jsotypes.h, jslong.h and jsconfig.h.

As jspubtd.h was included by a xulrunner header, this is rather a xulrunner (build system?) bug than that of firefox.

My issue has been resolved, but someone may yet be interested in this, so I'm leaving this open.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2009-04-09 23:37:56 UTC
Strange... I got mozilla-firefox-3.0.8 compiled/installed just fine on my ~amd64 machine:

# qfile -C jspubtd.h
net-libs/xulrunner (/usr/include/xulrunner-1.9/unstable/jspubtd.h)

Please attach the build.log and the config.log file to this bug.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-04-12 07:38:01 UTC
Reopen this bug when you provide the requested information.
Comment 4 Miroslav Los 2009-04-12 17:47:57 UTC
The problem was with findutils-4.5.4. - find failed to find any headers in one (and just one) subdirectory, that were to be copied to the image. 

That version of find is severely broken (on my machine), as it fails many tests - see bug #265876 I entered on this.

As the fault is neither with firefox nor xulrunner, I'm closing this bug.